## qt4-x11 4.6.2~git20100401-0maemo1%2b0m5

=== debian/changelog ===
qt4-x11 (4.6.2~git20100401-0maemo1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 4.6.2~git20100401-0maemo1+0m5

 -- Jarmo Backlund <jarmo.backlund@nokia.com>  Thu, 08 Apr 2010 12:55:11 +0300

qt4-x11 (4.6.2~git20100401-0maemo1) unstable; urgency=low

   * Fixes: NB#163049

 -- Qt Development Frameworks <qt-info@nokia.com>  Thu, 01 Apr 2010 10:01:48 +0100

qt4-x11 (4.6.2~git20100326-0maemo1) unstable; urgency=low

   * Fixes: NB#162397

 -- Qt Development Frameworks <qt-info@nokia.com>  Fri, 26 Mar 2010 10:01:48 +0100

=== debian/control ===
Source: qt4-x11
Section: libs
Priority: optional
Maintainer: Qt Development Frameworks <qt-info@nokia.com>
Uploaders: Brian Nelson <pyro@debian.org>, Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Ana Beatriz Guerrero Lopez <ana@debian.org>, Modestas Vainius <modestas@vainius.eu>
Build-Depends: cdbs, debhelper (>= 5), sharutils,
 libdbus-1-dev, libfreetype6-dev, libglib2.0-dev, libice-dev, libjpeg62-dev,
 libpng12-dev, libreadline5-dev | libreadline4-dev, libsm-dev, libtiff4-dev, libx11-dev,
 libxcursor-dev, libxext-dev, libxft-dev, libxi-dev, libxmu-dev,
 libxrandr-dev, libxrender-dev, libxt-dev, x11proto-core-dev,
 zlib1g-dev, libgstreamer-plugins-base0.10-dev, libgstreamer0.10-dev, 
 libgles2-sgx-img-dev [arm armel], opengles-sgx-img-common-dev [arm armel],
 libgl-dev [i386], libgl1 [i386],
 libxau-dev, libxcb1-dev, libxdmcp-dev, libexpat1-dev,  opengles-sgx-img-common [arm armel],
 libsqlite3-dev, libsqlite3-0, libssl-dev, icd2-osso-ic-dev, libgtk2.0-dev, libhildon1-dev, libhildonfm2-dev, libasound2-dev, mce-dev, libpulse-dev, hildon-input-method-framework-dev
Standards-Version: 3.7.3

Package: libqt4-core
Architecture: any
Section: libs
Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libglib2.0-0 (>= 2.14.6-1osso1), libstdc++6 (>= 4.2.1), zlib1g (>= 1:1.2.1)
Description: Qt 4 core module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtCore module contains core non-GUI functionality.

Package: libqt4-core-dbg
Priority: extra
Architecture: any
Section: libdevel
Depends: libqt4-core (= ${binary:Version})
Description: Qt 4 library debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This packages contains the debugging symbols for the Qt 4 Core libraries.

Package: libqt4-translations
Architecture: any
Section: libs
Depends: libqt4-core (= ${binary:Version})
Description: Qt 4 translations
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the translation files for all Qt modules.

Package: libqt4-gui
Architecture: any
Section: libs
Depends: libc6 (>= 2.5.0-1), libfontconfig1 (>= 2.4.1), libfreetype6 (>= 2.3.5), libgcc1 (>= 1:4.2.1), libglib2.0-0 (>= 2.14.6-1osso1), libice6 (>= 1:1.0.0), libjpeg62, libpng12-0 (>= 1.2.8rel), libqt4-core (= ${binary:Version}), libsm6, libstdc++6 (>= 4.2.1), libtiff4, libx11-6, libxext6, libxi6, libxrandr2 (>= 2:1.2.0), libxrender1, zlib1g (>= 1:1.2.1), fontconfig, opengles-sgx-img-common [arm armel], libgles2-sgx-img [arm armel]
Description: Qt 4 GUI module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtGui module extends QtCore with GUI functionality.

Package: libqt4-gui-dbg
Priority: extra
Architecture: any
Section: libdevel
Depends: libqt4-gui (= ${binary:Version})
Description: Qt 4 library debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This packages contains the debugging symbols for the Qt 4 GUI libraries.

Package: libqt4-network
Architecture: any
Section: libs
Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-core (= ${binary:Version}), libstdc++6 (>= 4.2.1), zlib1g (>= 1:1.2.1)
Description: Qt 4 network module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtNetwork module offers classes that allow you to write TCP/IP clients and
 servers. It provides classes to make network programming easier and portable.

Package: libqt4-network-dbg
Priority: extra
Architecture: any
Section: libdevel
Depends: libqt4-network (= ${binary:Version})
Description: Qt 4 library debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This packages contains the debugging symbols for the Qt 4 Network libraries.

Package: libqt4-script
Architecture: any
Section: libs
Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-dbus (= ${binary:Version}), libqt4-core (= ${binary:Version}), libstdc++6 (>= 4.2.1)
Description: Qt 4 script module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtScript module provides classes for making Qt applications scriptable.

Package: libqt4-script-dbg
Priority: extra
Architecture: any
Section: libdevel
Depends: libqt4-script (= ${binary:Version})
Description: Qt 4 library debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This packages contains the debugging symbols for the Qt 4 Script libraries.

Package: libqt4-sql
Architecture: any
Section: libs
Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-core (= ${binary:Version}), libstdc++6 (>= 4.2.1)
Recommends: libqt4-sql-sqlite
Suggests: libqt4-dev
Description: Qt 4 SQL module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSql module helps you provide seamless database integration to your Qt
 applications.
 .
 If you wish to to use the SQL module for development, you should install the
 libqt4-dev package.

Package: libqt4-sql-dbg
Priority: extra
Architecture: any
Section: libdevel
Depends: libqt4-sql (= ${binary:Version})
Description: Qt 4 library debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This packages contains the debugging symbols for the Qt 4 SQL libraries.

Package: libqt4-sql-sqlite
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql (= ${binary:Version})
Description: Qt 4 SQLite plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

Package: libqt4-sql-sqlite-dbg
Priority: extra
Architecture: any
Section: libdevel
Depends: libqt4-sql-sqlite (= ${binary:Version})
Description: Qt 4 library debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This packages contains the debugging symbols for the Qt 4 SQL SQLite plugin.

Package: libqt4-svg
Architecture: any
Section: libs
Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-core (= ${binary:Version}), libqt4-gui (= ${binary:Version}), libstdc++6 (>= 4.2.1)
Description: Qt 4 SVG module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSvg module provides classes for displaying the contents of SVG files.
 .
 Scalable Vector Graphics (SVG) is a language for describing two-dimensional
 graphics and graphical applications in XML.

Package: libqt4-svg-dbg
Priority: extra
Architecture: any
Section: libdevel
Depends: libqt4-svg (= ${binary:Version})
Description: Qt 4 library debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This packages contains the debugging symbols for the Qt 4 SVG libraries.

Package: libqt4-webkit
Architecture: any
Section: libs
Depends:  libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1),
 libqt4-network (= ${binary:Version}), libqt4-core (= ${binary:Version}),
 libqt4-gui (= ${binary:Version}), libqt4-phonon (= ${binary:Version}),
 libqt4-xmlpatterns (= ${binary:Version}), libstdc++6 (>= 4.2.1), libsqlite3-0
Description: Qt 4 WebKit module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.

Package: libqt4-webkit-dbg
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libqt4-webkit (= ${binary:Version})
Description: Qt 4 WebKit library debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This packages contains the debugging symbols for the Qt 4 WebKit library.

Package: libqt4-xml
Architecture: any
Section: libs
Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-core (= ${binary:Version}), libstdc++6 (>= 4.2.1)
Description: Qt 4 XML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtXml module provides a stream reader and writer for XML documents,
 and C++ implementations of SAX and DOM.

Package: libqt4-xml-dbg
Priority: extra
Architecture: any
Section: libdevel
Depends: libqt4-xml (= ${binary:Version})
Description: Qt 4 library debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This packages contains the debugging symbols for the Qt 4 XML libraries.

Package: libqt4-xmlpatterns
Architecture: any
Section: libs
Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-core (= ${binary:Version}), libstdc++6 (>= 4.2.1), libqt4-xml (= ${binary:Version})
Description: Qt 4 XML Patterns module
 lorem ipsum
 .
 and all that 

Package: libqt4-xmlpatterns-dbg
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libqt4-xmlpatterns (= ${binary:Version})
Description: Qt 4 XML patterns library debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This packages contains the debugging symbols for the Qt 4 XML patterns
 library.

Package: libqt4-dbus
Architecture: any
Section: libs
Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-xml (= ${binary:Version}), libqt4-core (= ${binary:Version}), libstdc++6 (>= 4.2.1)
Description: Qt 4 D-Bus module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtDBus module is a Unix-only library that you can use to make Inter-Process
 Communication using the D-Bus protocol.
 .
 Applications using the QtDBus module can provide services to other, remote
 applications by exporting objects, as well as use services exported by those
 applications by placing calls and accessing properties.

Package: libqt4-dbus-dbg
Priority: extra
Architecture: any
Section: libdevel
Depends: libqt4-dbus (= ${binary:Version})
Description: Qt 4 library debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This packages contains the debugging symbols for the Qt 4 DBus libraries.

Package: libqt4-test
Architecture: any
Section: libs
Depends: libc6 (>= 2.5.0-1), libqt4-core (= ${binary:Version}), libstdc++6 (>= 4.2.1)
Description: Qt 4 test module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtTest module provides classes for unit testing Qt applications and
 libraries.

Package: libqt4-test-dbg
Priority: extra
Architecture: any
Section: libdevel
Depends: libqt4-test (= ${binary:Version})
Description: Qt 4 library debugging symbols

=== debian/rules ===
#!/usr/bin/make -f

export QTDIR := $(shell pwd)
export PATH := $(QTDIR)/bin:$(PATH)
# workaround to use lrelease.
export LD_LIBRARY_PATH := $(QTDIR)/lib:$(LD_LIBRARY_PATH)
export DH_VERBOSE=1

# Only present in official source package
QTVERSION := $(shell grep QT_VERSION_STR src/corelib/global/qglobal.h | cut -d'"' -f2)
CURRENTVERSION := $(shell head -1 debian/changelog  | sed 's/[^(]*(\([^)]*\)).*/\1/')

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/utils.mk

# Find out how many parallel threads to run 
comma := ,
TMP_BUILD_OPTS = $(subst $(comma), ,$(DEB_BUILD_OPTIONS))
ifneq (,$(filter parallel=%,$(TMP_BUILD_OPTS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(TMP_BUILD_OPTS)))
	PARALLEL_MAKEFLAGS += -j$(NUMJOBS)
endif

DEB_MAKE_INVOKE := $(MAKE) $(PARALLEL_MAKEFLAGS)
DEB_MAKE_BUILD_TARGET := sub-src
DEB_MAKE_INSTALL_TARGET := INSTALL_ROOT=$(DEB_DESTDIR) install
DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_DH_ALWAYS_EXCLUDE := .git

# Ensure the *.debug files aren't included in any package other than libqt4-dbg
DEB_DH_INSTALL_ARGS := --exclude=.debug

DEB_MAKE_CLEAN_TARGET := confclean distclean

# Shlibs of the current upstream version
DEB_DH_MAKESHLIBS_ARGS_ALL := -V

TARGET_BUILD=0
ifeq ($(DEB_HOST_ARCH),arm)
	TARGET_BUILD=1
endif
ifeq ($(DEB_HOST_ARCH),armel)
	TARGET_BUILD=1
endif

# Select OpenGL backend driver
ifeq ($(TARGET_BUILD),1)
	GL_BACKEND=es2
	# On the target, moc, rcc, uic and qmake are built as host tools, so we'll strip them later
	EXTRA_STRIP_ARGS=-X/moc -X/rcc -X/uic -X/qmake -X/lrelease
	EXTRA_HOST_STRIP_ARGS=--strip-all bin/moc bin/rcc bin/uic bin/qmake bin/lrelease
else
	GL_BACKEND=desktop
	EXTRA_STRIP_ARGS=
	EXTRA_HOST_STRIP_ARGS=
endif

DEB_DH_STRIP_ARGS := --dbg-package=libqt4-core --dbg-package=libqt4-gui --dbg-package=libqt4-network --dbg-package=libqt4-script --dbg-package=libqt4-sql --dbg-package=libqt4-sql-sqlite --dbg-package=libqt4-svg --dbg-package=libqt4-xml --dbg-package=libqt4-dbus --dbg-package=libqt4-opengl --dbg-package=libqt4-phonon --dbg-package=libqt4-multimedia --dbg-package=libqt4-xmlpatterns --dbg-package=libqt4-webkit --dbg-package=libqt4-test --dbg-package=libqt4-maemo5 $(EXTRA_STRIP_ARGS)

DEB_DH_SHLIBDEPS_ARGS_ALL := --exclude=.debug

# Only present in official source package
#DEB_INSTALL_CHANGELOGS_ALL := changes-$(QTVERSION)

common-configure-arch:: config.status

config.status:
	./configure -maemo5 \
				-opensource \
				-confirm-license \
				-prefix "/usr" \
				-plugindir "/usr/lib/qt4/plugins" \
				-datadir "/usr/share/qt4" \
				-translationdir "/usr/share/qt4/translations" \
				-sysconfdir "/etc/xdg" \
				-release \
				--separate-debug-info=nocopy \
				-mitshm \
				-reduce-relocations \
				-system-zlib \
				-system-libtiff \
				-system-libpng \
				-system-libjpeg \
				-no-nas-sound \
				-qt-gif \
				-no-qt3support \
				-no-libmng \
				-opengl $(GL_BACKEND) \
				-nomake examples \
				-nomake demos \
				-nomake tools \
				-no-cups \
				-exceptions \
				-no-xinerama \
				-dbus \
				-glib \
				-gstreamer \
				-svg \
				-webkit \
				-no-sql-ibase \
				-xmlpatterns \
				-system-sqlite \
				-plugin-sql-sqlite \
				-openssl \
				-gtkstyle \
				-graphicssystem raster \
				$(EXTRA_CONFIGURE_OPTS)

common-build-arch:: build-dbus-tools build-linguist-tools build-maemo5-examples strip-host-tools build-uitools

strip-host-tools:
	if [ -n "$(EXTRA_HOST_STRIP_ARGS)" ] ; then host-strip $(EXTRA_HOST_STRIP_ARGS) ; fi

build-dbus-tools:
	bin/qmake -o tools/qdbus/qdbusxml2cpp/Makefile tools/qdbus/qdbusxml2cpp/qdbusxml2cpp.pro
	bin/qmake -o tools/qdbus/qdbuscpp2xml/Makefile tools/qdbus/qdbuscpp2xml/qdbuscpp2xml.pro
	$(MAKE) -C tools/qdbus/qdbusxml2cpp
	$(MAKE) -C tools/qdbus/qdbuscpp2xml

build-linguist-tools:
	bin/qmake -spec $(CURDIR)/mkspecs/linux-host-g++ -o tools/linguist/lrelease/Makefile tools/linguist/lrelease/lrelease.pro
	bin/qmake -o tools/linguist/lupdate/Makefile tools/linguist/lupdate/lupdate.pro
	$(MAKE) -C tools/linguist/lrelease
	$(MAKE) -C tools/linguist/lupdate

build-maemo5-examples:
	# with SUBDIRS pro files, we do not need to specify -o
	bin/qmake examples/maemo5/maemo5.pro
	$(MAKE) -C examples/maemo5

build-uitools:
	bin/qmake -o tools/designer/src/uitools/Makefile tools/designer/src/uitools/uitools.pro
	$(MAKE) -C tools/designer/src/uitools

common-install-arch:: install-dbus-tools install-linguist-tools install-maemo5-examples install-uitools optify-libs

install-dbus-tools:
	$(MAKE) -C tools/qdbus/qdbusxml2cpp $(DEB_MAKE_INSTALL_TARGET)
	$(MAKE) -C tools/qdbus/qdbuscpp2xml $(DEB_MAKE_INSTALL_TARGET)

install-linguist-tools:
	$(MAKE) -C tools/linguist/lrelease $(DEB_MAKE_INSTALL_TARGET)
	$(MAKE) -C tools/linguist/lupdate $(DEB_MAKE_INSTALL_TARGET)

install-maemo5-examples:
	$(MAKE) -C examples/maemo5 $(DEB_MAKE_INSTALL_TARGET)

install-uitools:
	$(MAKE) -C tools/designer/src/uitools $(DEB_MAKE_INSTALL_TARGET)

optify-libs:
	mkdir -p $(DEB_DESTDIR)/opt/lib
	mv $(DEB_DESTDIR)/usr/lib/libQtGui.so.?.?.? $(DEB_DESTDIR)/opt/lib
	mv $(DEB_DESTDIR)/usr/lib/libQtWebKit.so.?.?.? $(DEB_DESTDIR)/opt/lib
	mv $(DEB_DESTDIR)/usr/lib/libQtXmlPatterns.so.?.?.? $(DEB_DESTDIR)/opt/lib
	ln -s --target-directory=$(DEB_DESTDIR)/usr/lib/ ../../opt/lib/libQtGui.so.$(QTVERSION)
	ln -s --target-directory=$(DEB_DESTDIR)/usr/lib/ ../../opt/lib/libQtWebKit.so.$(QTVERSION)
	ln -s --target-directory=$(DEB_DESTDIR)/usr/lib/ ../../opt/lib/libQtXmlPatterns.so.$(QTVERSION)

clean::
# Extra stuff missed by confclean/distclean
	
	# Misc. files
	rm -f \
	  config.status \
	  config.tests/.qmake.cache \
	  examples/dbus/*/Makefile.* \
	  mkspecs/qconfig.pri \
	  src/corelib/global/qconfig.* \
	;
	
	# Misc. directories
	rm -rf \
	  examples/tools/plugandpaint/plugins/ \
	  examples/tools/styleplugin/styles/ \
	  lib/ \
	  mkspecs/glibc-g++/ \
	  plugins/ \
	;
	
	# hppa test directory
	rm -rf debian/hppa-tmp

	# Leftover dirs
	find -depth -type d \( -false \
	  -o -name debug-shared \
	  -o -name debug-static \
	  -o -name \*.gch \
	  -o -name .moc\* \
	  -o -name .obj\* \
	  -o -name .pch \
	  -o -name pkgconfig \
	  -o -name .rcc \
	  -o -name release-shared \
	  -o -name release-static \
	  -o -name .uic \
	\) -print0 | xargs -0 rm -rf
		
	# Leftover files and all symlinks
	find \( -false \
	  -o -name \*.a \
	  -o -name Makefile.Debug \
	  -o -name Makefile.Release \
	  -o -name \*.o \
	  -o -name \*.prl \
	  -o -name \*.so \
	  -o -name \*.so.debug \
	  -o -type l \
	\) -print0 | xargs -0 rm -rf 
	
	# Delete all Makefiles, excluding some from src/3rdparty
	find $(CURDIR) -name Makefile \
	  ! -path $(CURDIR)/src/3rdparty/Makefile \
	  ! -path $(CURDIR)/src/3rdparty/freetype/\* \
	  ! -path $(CURDIR)/src/3rdparty/zlib/\* \
	 -print0 | xargs -0 rm -rf 
	
	# Any remaining executables
	find $(CURDIR) -type f -print0 | xargs -0 file -i \; | grep \
	  -e application/x-executable \
	| cut -d ':' -f 1 | xargs rm -f

	# Generated on build
	rm -f debian/shlibs.local

#common-install-arch::
#	mkdir -p $(DEB_DESTDIR)/opt/qt4-maemo5/share/qt4/translations/
#	cp $(CURDIR)/translations/*.ts $(DEB_DESTDIR)/opt/qt4-maemo5/share/qt4/translations/.
#	find $(DEB_DESTDIR)/opt/qt4-maemo5/share/qt4/translations/ -type f -name "*.ts" | xargs $(CURDIR)/bin/lrelease
#	rm -rf $(DEB_DESTDIR)/opt/qt4-maemo5/share/qt4/translations/*.ts

# Automatically install lintian overrides, stolen from debian-qt-kde.mk
$(patsubst %,binary-install/%,$(DEB_PACKAGES)) :: binary-install/%:
	if test -e debian/$(cdbs_curpkg).lintian; then \
	    install -p -D -m644 debian/$(cdbs_curpkg).lintian \
	    debian/$(cdbs_curpkg)/usr/share/lintian/overrides/$(cdbs_curpkg); \
	fi

# Generate shlibs local files
#$(patsubst %,binary-fixup/%,$(DEB_ALL_PACKAGES)) :: binary-fixup/%: binary-strip/%
#	if test -e debian/$(cdbs_curpkg)/DEBIAN/shlibs ; then \
#		sed 's/>=[^)]*/= $(CURRENTVERSION)/' debian/$(cdbs_curpkg)/DEBIAN/shlibs >> debian/shlibs.local ;\
#	fi

## qt4-x11 4.6.2

=== src/3rdparty/javascriptcore/JavaScriptCore/wscript ===
#! /usr/bin/env python

# Copyright (C) 2009 Kevin Ollivier  All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY APPLE COMPUTER, INC. ``AS IS'' AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL APPLE COMPUTER, INC. OR
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
# OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
#
# JavaScriptCore build script for the waf build system

import commands

from settings import *

jscore_excludes = ['jsc.cpp', 'ucptable.cpp', 'GOwnPtr.cpp']
jscore_excludes.extend(get_excludes(jscore_dir, ['*CF.cpp']))

sources = []

jscore_excludes.extend(get_excludes(jscore_dir, ['*Win.cpp', '*None.cpp']))

if building_on_win32:
    jscore_excludes += ['ExecutableAllocatorPosix.cpp', 'MarkStackPosix.cpp']
    sources += ['jit/ExecutableAllocatorWin.cpp', 'runtime/MarkStackWin.cpp']
else:
    jscore_excludes.append('JSStringRefBSTR.cpp')

def generate_jscore_derived_sources():
    # build the derived sources
    js_dir = jscore_dir
    if building_on_win32:
        js_dir = get_output('cygpath --unix "%s"' % js_dir)
    derived_sources_dir = os.path.join(jscore_dir, 'DerivedSources')
    if not os.path.exists(derived_sources_dir):
        os.mkdir(derived_sources_dir)

    olddir = os.getcwd()
    os.chdir(derived_sources_dir)

    command = 'make -f %s/DerivedSources.make JavaScriptCore=%s BUILT_PRODUCTS_DIR=%s all FEATURE_DEFINES="%s"' % (js_dir, js_dir, js_dir, ' '.join(feature_defines))
    os.system(command)
    os.chdir(olddir)

def set_options(opt):
    common_set_options(opt)

def configure(conf):
    common_configure(conf)
    generate_jscore_derived_sources()
    
def build(bld):
    import Options

    full_dirs = get_dirs_for_features(jscore_dir, features=[build_port], dirs=jscore_dirs)

    includes = common_includes + full_dirs

    # 1. A simple program
    jscore = bld.new_task_gen(
        features = 'cxx cstaticlib',
        includes = '. .. assembler wrec DerivedSources ForwardingHeaders ' + ' '.join(includes),
        source = sources,
        target = 'jscore',
        uselib = 'WX ICU ' + get_config(),
        uselib_local = '',
        install_path = output_dir)

    jscore.find_sources_in_dirs(full_dirs, excludes = jscore_excludes)  
        
    obj = bld.new_task_gen(
        features = 'cxx cprogram',
        includes = '. .. assembler wrec DerivedSources ForwardingHeaders ' + ' '.join(includes),
        source = 'jsc.cpp',
        target = 'jsc',
        uselib = 'WX ICU ' + get_config(),
        uselib_local = 'jscore',
        install_path = output_dir,
        )
        
    # we'll get an error if exceptions are on because of an unwind error when using __try
    if building_on_win32:
        flags = obj.env.CXXFLAGS
        flags.remove('/EHsc')
        obj.env.CXXFLAGS = flags

    bld.install_files(os.path.join(output_dir, 'JavaScriptCore'), 'API/*.h')

=== debian/changelog ===
qt4-x11 (4:4.6.2-4) unstable; urgency=low

  [ Modestas Vainius ]
  * Revert previous s390 specific change as it did not solve FTBFS.
  * Do not link webkit with -Wl,--gc-sections on s390. This should workaround
    FTBFS on s390 caused by internal linker error which is due to bugs when
    processing UString.o and some others (built with -ffunction-sections).
    Implemented in the 96_webkit_no_gc_sections.diff patch.
  * Steal patch from upstream 4.6 branch to fix s390 atomic ops related
    crashes. One of them made the package to FTBFS. Upstream commit:
    cdf4701f442149546043b155cddcc53116875f1c
  * Update symbol files for amd64, i386, ia64, kfreebsd-amd64, kfreebsd-i386,
    powerpc, s390, sparc.
  * Release to unstable (Closes: #571990). Finally!

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 14 Apr 2010 20:56:19 +0300

qt4-x11 (4:4.6.2-3) experimental; urgency=low

  [ Sune Vuorela ]
  * Do not build webkit with debugging symbols on s390. These becomes too big
    and thus the build fails, as the linker can't handle more than a couple of
    GB large files, and debugging symbols on s390 are real large. This is a
    repetition of #528485
  * Also add the GNU/kFreeBSD patch from 4:4.6.2-1 to the second
    JavaScriptCore copy (used for QtSCript)

  [ Modestas Vainius ]
  * Clean target: limit application/x-executable lookup to executable files.
    This should speed up clean target a lot.
  * Add 97_alpha_ftbfs_qatomic_alpha_h_types.diff patch to fix FTBFS on alpha
    caused by invalid type conversions in qatomic_alpha.h.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 10 Apr 2010 01:00:49 +0300

qt4-x11 (4:4.6.2-2) experimental; urgency=low

  [ Fathi Boudra ]
  * Add upstream patches:
    - 0001_qpixmap_load_no_modify_referenced_copies.diff
      Fixed QPixmap::load() to not modify referenced copies.
    - 0002_qmake_qfileinfo_absolutepath.diff
      Fixed QFileInfo::absolutePath() warning when running "qmake -project"
      (Closes: #574043)
  * Fix FTBFS on sparc caused by a wrong platform_arg value:
    check for exact string match (instead of findstring usage).
  * Fix FTBFS on ia64: -m64 option isn't recognized by gcc.
    set platform_arg to linux-g++ on this architecture.
  * Switch to dpkg-source 3.0 (quilt).
  * Fix some lintian warnings.
  * Add libqt4-phonon lintian overrides.
  * Update applications icons.

  [ Pino Toscano ]
  * Make more use of the dpkg source 3.0 format: directly ship the binary files
    (PNG icons and qch) instead of uuencode them at install time.
  * Fix watch file to report only stable versions (ie non-tp and non-rc ones).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 04 Apr 2010 09:51:36 +0200

qt4-x11 (4:4.6.2-1) experimental; urgency=low

  * New upstream release (Closes: #571990).
    - Fix a crash in QDBusPendingReply/QDBusReply in case of unconnected calls.
      (Closes: #560838)
    - Fix FTBFS on GNU/kFreeBSD due to lack of WTF_USE_JSVALUE64.
      (Closes: #565731)

  [ Modestas Vainius ]
  * Change my email address to @debian.org one.
  * Restore binary compatibility with binaries built with g++-4.3 on armel
    (patch 92_armel_gcc43_valist_compat.diff). (Closes: #566259)
  * Add symbol files for Qt public libraries. They are based on the 4:4.5.3
    version and upgraded to 4:4.6.1/4:4.6.2 on amd64/i386.
  * Bump build dependency of pkg-kde-tools to version 0.6.4 as it is needed to
    handle symbol files.
  * Build depend on libjpeg-dev rather than libjpeg62-dev.
  * Drop Phonon from Qt. Leave only libqt4-phonon package which sole purpose is
    to enable bootstraping of new arches.

  [ Fathi Boudra ]
  * Add debian/patches/95_sparc_platform_definition.diff patch to fix build for
    32-bit sparc machines.
  * Update debian/rules:
    - Use linux-g++-64 as platform_arg on required architectures (amd64, ia64
      and sparc64).
  * Add 96_powerpc_no_gc_sections.diff: Don't pass -Wl,--gc-sections on powerpc
    when building libQtWebKit.so; works around a binutils bug that results in a
    segfault. Thanks to Steve Langasek.
  * Add 20_install_qvfb.diff: build Qt Virtual Framebuffer (qvfb) tool.
  * Add 51_kfreebsd_strnstr_build_fix.diff: Fix FTBFS on GNU/kFreeBSD caused by
    missing strnstr() on glibc systems.
  * Remove patches:
    - 19_install_qdoc3.diff - merged upstream.
    - 81_hurd_clock_gettime.diff - merged upstream.
    - 0289-context-for-shortcuts-tr.diff - rejected upstream.
  * Merge with Kubuntu:
    - add 21_qt_ia32_library_path.diff patch
      fix ia32 library path (e.g. skype application).
  * Update debian/control:
    - bump Standards-Version to 3.8.4 (no changes needed).
    - build-depend on firebird2.1-dev instead of firebird2.0-dev.
      (Closes: #564683)
    - extend architecture list for firebird2.1-dev.
    - build-depend on libxtst-dev to build qvfb.
    - conflict against qt-x11-free-dbg on libqt4-dbg (qvfb).
    - conflict against qt3-dev-tools-embedded on qt4-dev-tools (qvfb).
  * Update debian/qt4-dev-tools.install: add qvfb binary and the translations.
  * Update debian/rules:
    - add -qvfb configure option.
    - add -audio-backend option.
    - remove qm target call. It isn't needed anymore.
    - bump debhelper build dependency to version 7.4.13 to properly support dh
      options.
    - enable parallel build by passing --parallel option to dh.
    - remove Phonon development files.
  * Update debian/libphonon-dev.install: Include headers have been changed.
    The only official method for including Phonon headers is <phonon/ClassName>
    or <phonon/classname.h>.
  * Add a manpage for qdbus. Thanks to Andreas Marschke. (Closes: #568186)

  [ Pino Toscano ]
  * Update debian/control: Don't build-depends on libasound2-dev for
    GNU/kFreeBSD and GNU/Hurd architectures.
  * Add 81_hurd_architecture.diff: recognize the proper architecture on
    GNU/Hurd. This will make Qt BIC there, but we can live with that.


=== debian/control ===
Source: qt4-x11
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Ana Beatriz Guerrero Lopez <ana@debian.org>, Modestas Vainius <modax@debian.org>, Sune Vuorela <debian@pusling.com>,
Build-Depends: debhelper (>= 7.4.13), quilt, pkg-kde-tools (>= 0.6.4), flex, sharutils,
 firebird2.1-dev [amd64 armel i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sparc],
 libasound2-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386],
 libaudio-dev, libcups2-dev, libdbus-1-dev, libfreetype6-dev,
 libgl1-mesa-dev | libgl-dev, libglib2.0-dev, libglu1-mesa-dev | libglu-dev,
 libgtk2.0-dev, libice-dev, unixodbc-dev, libjpeg-dev, libmng-dev,
 libmysqlclient-dev, libpam0g-dev, libpng12-dev, libpq-dev, libreadline-dev,
 libsm-dev, libsqlite0-dev, libsqlite3-dev, libtiff4-dev, libx11-dev,
 libxcursor-dev, libxext-dev, libxft-dev, libxi-dev, libxinerama-dev,
 libxmu-dev, libxrandr-dev, libxrender-dev, libxslt1-dev, libxt-dev,
 libxtst-dev, zlib1g-dev, freetds-dev
Standards-Version: 3.8.4
Homepage: http://www.qtsoftware.com
Vcs-Git: git://git.debian.org/pkg-kde/qt4-x11.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/qt4-x11.git;a=summary

Package: libqtcore4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libqt4-core (<< 4.4.0~beta1-1), libqt4-gui (<< 4.4.0~beta1-1)
Description: Qt 4 core module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtCore module contains core non-GUI functionality.

Package: libqt4-core
Architecture: any
Depends: ${misc:Depends}, libqtcore4 (= ${binary:Version}), libqt4-network (= ${binary:Version}),
 libqt4-script (= ${binary:Version}), libqt4-xml (= ${binary:Version}),
 libqt4-dbus (= ${binary:Version}), libqt4-test (= ${binary:Version})
Description: transitional package for Qt 4 core non-GUI runtime libraries
 Qt is a cross-platform C++ application framework.  Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a dummy transitional package to enable installation of other Debian
 packages linked against Qt 4.3 or earlier Qt 4 releases previously shipped
 in Debian.

Package: libqtgui4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fontconfig
Recommends: qt4-qtconfig
Conflicts: libqt4-designer (<< 4.4.0~beta1-1)
Replaces: libqt4-core (<< 4.0.1-3), libqt4-gui (<< 4.4.0),
 qt4-designer (<< 4.1.4), libqt4-designer (<< 4.4.0~beta1-1)
Description: Qt 4 GUI module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtGui module extends QtCore with GUI functionality.

Package: libqt4-gui
Architecture: any
Depends: ${misc:Depends}, libqtgui4 (= ${binary:Version}), libqt4-svg (= ${binary:Version}), libqt4-opengl (= ${binary:Version}),
 libqt4-designer (= ${binary:Version}), libqt4-assistant (= ${binary:Version})
Description: transitional package for Qt 4 GUI runtime libraries
 Qt is a cross-platform C++ application framework.  Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a dummy transitional package depending on the Qt 4 GUI library
 packages which the package of the same name used to provide in Qt 4.3.4
 and earlier Debian packages of Qt 4.

Package: libqt4-network
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libqt4-core (<< 4.4.0~beta1-1)
Description: Qt 4 network module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtNetwork module offers classes that allow you to write TCP/IP clients and
 servers. It provides classes to make network programming easier and portable.

Package: libqt4-opengl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libqt4-gui (<< 4.4.0~beta1-1)
Replaces: libqt4-gui (<< 4.4.0~beta1-1)
Description: Qt 4 OpenGL module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtOpenGL module offers classes that make it easy to use OpenGL in Qt
 applications.
 .
 OpenGL is a standard API for rendering 3D graphics. OpenGL only deals with 3D
 rendering and provides little or no support for GUI programming issues.

Package: libqt4-script
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libqt4-core (<< 4.4.0~beta1-1)
Description: Qt 4 script module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtScript module provides classes for making Qt applications scriptable.

Package: libqt4-scripttools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt 4 script tools module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtScriptTools module provides additional components for applications that
 use Qt Script.
 .
 This package contains the Qt Script debugger, a tool for debugging script
 execution in Qt applications that use Qt Script.

Package: libqt4-sql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libqt4-sql-mysql | libqt4-sql-odbc | libqt4-sql-psql | libqt4-sql-sqlite | libqt4-sql-sqlite2 | libqt4-sql-ibase [i386 kfreebsd-i386 kfreebsd-amd64 amd64 sparc powerpc]
Suggests: libqt4-dev
Description: Qt 4 SQL module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSql module helps you provide seamless database integration to your Qt
 applications.
 .
 If you wish to use the SQL module for development, you should install the
 libqt4-dev package.

Package: libqt4-sql-ibase
Architecture: i386 kfreebsd-i386 kfreebsd-amd64 amd64 sparc powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libqt4-dev
Description: Qt 4 InterBase/FireBird database driver
 This package contains the InterBase/FireBird plugin for Qt 4.
 .
 Install it if you intend to use or write Qt programs that are to access an
 InterBase/FireBird DB.

Package: libqt4-sql-mysql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libqt4-dev
Description: Qt 4 MySQL database driver
 This package contains the MySQL plugin for Qt 4.
 .
 Install it if you intend to use or write Qt programs that are to access a
 MySQL DB.

Package: libqt4-sql-odbc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libqt4-dev
Description: Qt 4 ODBC database driver
 This package contains the ODBC plugin for Qt 4.
 .
 Install it if you intend to use or write Qt programs that are to access an
 ODBC DB.

Package: libqt4-sql-psql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libqt4-dev
Description: Qt 4 PostgreSQL database driver
 This package contains the PostgreSQL plugin for Qt 4.
 .
 Install it if you intend to use or write Qt programs that are to access a
 PostgreSQL DB.

Package: libqt4-sql-sqlite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libqt4-dev
Description: Qt 4 SQLite 3 database driver
 This package contains the SQLite 3 plugin for Qt 4.
 .
 Install it if you intend to use or write Qt programs that are to access an
 SQLite 3 DB.

Package: libqt4-sql-sqlite2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libqt4-dev
Description: Qt 4 SQLite 2 database driver
 This package contains the SQLite 2 plugin for Qt 4.
 .
 Install it if you intend to use or write Qt programs that are to access an
 SQLite 2 DB.

Package: libqt4-sql-tds
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libqt4-dev
Description: Qt 4 FreeTDS database driver
 This package contains the FreeTDS plugin for Qt 4.
 .
 Install it if you intend to use or write Qt programs that are to access a
 MS SQL or Sybase SQL server.

Package: libqt4-svg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libqt4-gui (<< 4.4.0~beta1-1)
Replaces: libqt4-gui (<< 4.4.0~beta1-1)
Description: Qt 4 SVG module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSvg module provides classes for displaying the contents of SVG files.
 .
 Scalable Vector Graphics (SVG) is a language for describing two-dimensional
 graphics and graphical applications in XML.

Package: libqt4-webkit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt 4 WebKit module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.

Package: libqt4-xml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libqt4-core (<< 4.4.0~beta1-1)
Description: Qt 4 XML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtXml module provides a stream reader and writer for XML documents,
 and C++ implementations of SAX and DOM.

Package: libqt4-xmlpatterns
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt 4 XML patterns module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtXmlPatterns is a XQuery and XPath engine for XML and custom data models.

Package: libqt4-dbus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libqt4-core (<< 4.4.0~beta1-1)
Description: Qt 4 D-Bus module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtDBus module is a Unix-only library that you can use to make Inter-Process
 Communication using the D-Bus protocol.
 .
 Applications using the QtDBus module can provide services to other, remote
 applications by exporting objects, as well as use services exported by those
 applications by placing calls and accessing properties.

Package: libqt4-qt3support
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libqt4-gui (<< 4.2.1-1), qt4-designer (<< 4.4.0~beta1-1)
Description: Qt 3 compatibility library for Qt 4
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt3Support module provides classes that ease porting from Qt 3 to Qt 4.
 .
 It allows applications designed to use deprecated Qt 3 classes and functions
 to work with Qt 4, with help from the qt3to4 porting tool found in the
 libqt4-dev package.

Package: libqt4-designer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libqt4-gui (<< 4.4.0~beta1-1)
Replaces: libqt4-gui (<< 4.4.0~beta1-1)
Description: Qt 4 designer module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtDesigner module provides classes that allow you to create your own
 custom widget plugins for Qt Designer, and classes that enable you to access
 Qt Designer's components.

Package: libqt4-help
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt 4 help module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtHelp module provides classes for integrating online documentation in
 applications.
